---
- description: 
  buttons: submit,cancel
  label: dynamic_refresh
  blueprint_id: 
  dialog_tabs:
  - description: 
    display: edit
    label: Tab
    display_method: 
    display_method_options: 
    position: 0
    dialog_groups:
    - description: 
      display: edit
      label: Box
      display_method: 
      display_method_options: 
      position: 0
      dialog_fields:
      - name: contract
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: a
        values:
        - - 
          - "<Choose>"
        - - a
          - Contract A
        - - b
          - Contract B
        values_method: 
        values_method_options: {}
        options:
          :sort_by: :description
          :sort_order: :ascending
          :force_multi_value: false
        label: Contract
        position: 0
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: false
        auto_refresh: 
        trigger_auto_refresh: true
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: location
        description: 
        data_type: 
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: fl
        values:
        - - fl
          - Florida
        - - or
          - Oregon
        values_method: 
        values_method_options: {}
        options:
          :force_multi_value: false
        label: Location
        position: 1
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: true
        load_values_on_init: 
        read_only: false
        auto_refresh: true
        trigger_auto_refresh: 
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: Dialogs
          ae_class: DynamicDialogs
          ae_instance: location
          ae_message: 
          ae_attributes: {}
      - name: peek
        description: 
        data_type: 
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: |-
          Contract: ''
          Location: ''
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: What's Inside?
        position: 2
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: true
        load_values_on_init: 
        read_only: false
        auto_refresh: true
        trigger_auto_refresh: false
        visible: true
        type: DialogFieldTextAreaBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: Dialogs
          ae_class: DynamicDialogs
          ae_instance: peek
          ae_message: 
          ae_attributes: {}
